image: hatsoftwares/gitbook:latest

pages:
  script:
    - gitbook init
    - gitbook install
    - git config user.name "Nobody"
    - git config user.email "nobody@framasoft.org"
    - git status
    - git fetch https://framagit.org/Framatophe/manueldumo.git
    - git subtree pull --prefix fr/manueldumo https://framagit.org/Framatophe/manueldumo.git master --squash
    - gitbook build
    - sed -i -e 's/<body>/<body><script src="lang.js" type="text\/javascript"><\/script>/g' _book/index.html
    - mv _book/ public/
  artifacts:
    paths:
      - public
  only:
    - master
